from common.utils.config import Config as GlobalConfig


class Config(GlobalConfig):
    FLOW_DATA_SOURCE = GlobalConfig.CONFIG.get(
        "UNCOMMONLY_USED_PORT", "FLOW_DATA_SOURCE", fallback="correlated_flow_viz"
    )

    FLOW_QUERY_GRANULARITY = GlobalConfig.CONFIG.get("UNCOMMONLY_USED_PORT", "FLOW_QUERY_GRANULARITY", fallback="day")

    FLOW_QUERY_ALL_GRANULARITY = GlobalConfig.CONFIG.get(
        "UNCOMMONLY_USED_PORT", "FLOW_QUERY_ALL_GRANULARITY", fallback="all"
    )

    BASELINE_MAX_RETENTION_DAYS = GlobalConfig.CONFIG.get(
        "UNCOMMONLY_USED_PORT", "BASELINE_MAX_RETENTION_DAYS", fallback="30"
    )

    MAX_CHECKPOINT_LIMIT_IN_MIN = GlobalConfig.CONFIG.get(
        "UNCOMMONLY_USED_PORT", "MAX_CHECKPOINT_LIMIT_IN_MIN", fallback=120
    )

    MAX_LATE_FLOW_LIMIT_IN_SEC = GlobalConfig.CONFIG.get(
        "UNCOMMONLY_USED_PORT", "MAX_LATE_FLOW_LIMIT_IN_SEC", fallback=1800
    )

    AGG_SET_TRANSFORM_LIMIT = GlobalConfig.CONFIG.get("UNCOMMONLY_USED_PORT", "AGG_SET_TRANSFORM_LIMIT", fallback=500)
